import { SimpleLocalIntegration } from '../../core/index.js';
import { AranetConfigFlow } from './aranet.classes.configflow.js';
import { createAranetDiscoveryDescriptor } from './aranet.discovery.js';
import type { IAranetConfig } from './aranet.types.js';
import { aranetDomain, aranetProfile } from './aranet.types.js';

export class AranetIntegration extends SimpleLocalIntegration<IAranetConfig> {
  public readonly domain = aranetDomain;
  public readonly discoveryDescriptor = createAranetDiscoveryDescriptor();
  public readonly configFlow = new AranetConfigFlow();

  constructor() {
    super(aranetProfile);
  }
}

export class HomeAssistantAranetIntegration extends AranetIntegration {}
